/* eslint-disable */

import React from 'react';
import { getIconColor } from './helper';

const DEFAULT_STYLE = {
  display: 'block',
};

const IconYangpinduibi = ({ size, color, style: _style, ...rest }) => {
  const style = _style ? { ...DEFAULT_STYLE, ..._style } : DEFAULT_STYLE;

  return (
    <svg viewBox="0 0 1024 1024" width={size + 'rem'} height={size + 'rem'} style={style} {...rest}>
      <path
        d="M528 80a32 32 0 0 1 32 32v800a32 32 0 0 1-32 32h-32a32 32 0 0 1-32-32v-64H160a32 32 0 0 1-32-32V208a32 32 0 0 1 32-32h304V112a32 32 0 0 1 32-32h32z"
        fill={getIconColor(color, 0, '#4581FF')}
      />
      <path
        d="M560 176h304a32 32 0 0 1 32 32v608a32 32 0 0 1-32 32H560V176z"
        fill={getIconColor(color, 1, '#4581FF')}
        opacity=".4"
      />
    </svg>
  );
};

IconYangpinduibi.defaultProps = {
  size: 18,
};

export default IconYangpinduibi;
