import { useRequest } from "@/use/useHttp"
export const mpenumsaleorderstatus = () => {
    return useRequest({
        url: `/v1/mp/enum/sale/order/status`,
        method: "get",
    })
}

/**
 * 获取订单列表
 * @returns 
 */
export const OrderListApi = () => {
    return useRequest({
        url: `/v1/mp/saleOrder/list`,
        method: "get",
    })
}

/**
 *  客户列表
 * @returns 
 */
export const ClientListApi = () => {
    return useRequest({
        url: `/v1/mp/purchaser/list`,
        method: "get"
    })
}
//面料种类列表
export const mpproductcolorlist = () => {
    return useRequest({
        url: `/v1/mp/product/color/list`,
        method: "get"
    })
}
//加入购物车
export const mpsaleOrderpreView = () => {
    return useRequest({
        url: `/v1/mp/saleOrder/preView`,
        method: "put"
    })
}
//业务员枚举
export const mpenumsaleUserlist = () => {
    return useRequest({
        url: `/v1/mp/enum/saleUser/list`,
        method: "get"
    })
}
