import { ScrollView, View } from '@tarojs/components'
import { memo, useCallback, useEffect, useMemo, useState } from 'react'
import styles from './index.module.scss'
import classnames from 'classnames'
import BottomBtns from '@/components/BottomBtns'

interface propsObj {
    obj: object
}


export default memo((props: propsObj) => {

    const {
        obj = {}
    } = props

    const cancle = (item) => {

    }
    const nextBuy = (item) => {

    }

    const toPay = (item) => {

    }

    return (
        <View className={styles.itemBox}>
            <View className={styles.topItem}>
                <View className={styles.orderNo}>单号：XS-LY-2208220092</View>
                <View className={styles.status}>待接单</View>
            </View>
            <View className={styles.pussName}>钟雨乔JENNIEEEEE</View>
            <View className={styles.line}></View>
            <View className={styles.contBox}>
                <View className={styles.leftCont}>
                    <View className={styles.leftContNums}>颜色 (1)</View>
                </View>
                <View className={styles.rightCont}>
                    <View className={styles.rightTop}>
                        <View className={styles.productBox}>
                            <View className={styles.productName}>9265# 26S全棉双卫衣</View>
                            <View className={styles.productMode}>大货</View>
                        </View>
                        <View className={styles.shipMode}>物流</View>
                    </View>
                    <View className={styles.colorsBox}>
                        <View className={styles.colorNameOne}>051# 花灰白</View>
                        <View className={styles.colorName}>x5m</View>
                        <View className={styles.colorNameTwo}>¥ 37.50/kg</View>
                    </View>
                </View>
            </View>
            <View className={styles.lineOne}></View>
            <View className={styles.bottomMsg}>
                <View className={styles.msgLeft}>布料信息：</View>
                <View className={styles.msgRight}>2 种面料，4 种颜色，共 5 米</View>
            </View>
            <View className={styles.bottomMsg}>
                <View className={styles.msgLeft}>预估金额：</View>
                <View className={styles.msgRightOne}>¥3564.00</View>
            </View>
            <View className={styles.bottomBox}>
                <BottomBtns
                    obj={obj}
                    cancle={() => cancle(obj)}
                    nextBuy={() => nextBuy(obj)}
                    toPay={() => toPay(obj)}
                ></BottomBtns>
            </View>
        </View >
    )
})